gnome-vfs2_2.12.2-4_i386.changes is NEW

Debian Installer installer at
Wed Jan 11 23:32:15 UTC 2006

  to pool/main/g/gnome-vfs2/gnome-vfs2_2.12.2-4.diff.gz
  to pool/main/g/gnome-vfs2/gnome-vfs2_2.12.2-4.dsc
  to pool/main/g/gnome-vfs2/libgnomevfs2-0-dbg_2.12.2-4_i386.deb
  to pool/main/g/gnome-vfs2/libgnomevfs2-0_2.12.2-4_i386.deb
(new) libgnomevfs2-bin_2.12.2-4_i386.deb optional libs
GNOME virtual file-system (support binaries)
 GNOME VFS is the GNOME virtual file system. It is the foundation of the
 Nautilus file manager. It provides a modular architecture and ships  with
 several modules that implement support for file systems, http, ftp and others.
 It provides a URI-based API, a backend supporting asynchronous file
 operations, a MIME type manipulation library and other features.
 This package contains some example binaries using the GNOME VFS
  to pool/main/g/gnome-vfs2/libgnomevfs2-common_2.12.2-4_all.deb
  to pool/main/g/gnome-vfs2/libgnomevfs2-dev_2.12.2-4_i386.deb
(new) libgnomevfs2-extra_2.12.2-4_i386.deb optional libs
GNOME virtual file-system (extra modules)
 This package contains extra VFS modules for the GNOME virtual
 file-system. Currently, it includes:
  * the bzip2 module;
  * the smb module, to browse Windows shares.
Changes: gnome-vfs2 (2.12.2-4) unstable; urgency=low
  * Set myself as maintainer.
  * libgnomevfs2-common.gconf-defaults: make gnome-www-browser the
    default for http and https protocols (closes: #345438).
    - Build-depend on debhelper 5.0.13.
  * rules: build the doc with --enable-gtk-doc.
    - Build-depend on gtk-doc-tools.
    - Don't compress it.
  * Enable howl through libavahi-compat-howl-dev (closes: #346498).
    - Build-depend on it.
    - Also build-depend on libavahi-client-dev because of bug 347247.
    - Add them to the libgnomevfs2-dev dependencies.
  * A few cleanups:
    - libgnomevfs2-common.dirs: removed, unused.
    - Fix section and priority for libgnomevfs2-0-dbg.
    - Remove old conflicts and replaces.
    - Remove libgnomevfs2-common.{preinst,postrm}, unnecessary when
      upgrading from sarge.
    - Remove shlibs.local, it generates broken dependencies.
  * Break the dependency cycle (closes: #316437).
    - rules: change libexecdir, to put the daemon in /usr/lib/gnome-vfs-2.0.
    - Put example binaries in libgnomevfs2-bin.
    - Install the daemon, the moniker and the default modules in
      /usr/lib/gnome-vfs-2.0 in the libgnomevfs2-0 package.
      + 04_moniker_libexecdir.patch: use the moniker in this place.
    - This makes libgnomevfs2-common architecture-independent.
  * Split the bzip2, dns-sd and samba modules in a separate
    libgnomevfs2-extra package (closes: #344601).
  * 05_gnomevfs-ls.patch: stolen upstream. Reports correct sizes for
    files larger than 4 GB (closes: #325383).
  * defaults.list: update to MIME types supported by GNOME 2.12
  * Standards-version is 3.6.2.
  * Pass --as-needed to the linker to avoid unnecessary dependencies.
Announcing to debian-devel-changes at
Closing bugs: 316437 325383 344601 345438 346498 

Your package contains new components which requires manual editing of
the override file.  It is ok otherwise, so please be patient.  New
packages are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above
if files already exist in other distributions.

More information about the Pkg-gnome-maintainers mailing list